Bug Hunting Session
Bug 102007 - Inconsistent node composition in formula editor when entering binary operators for Division from the Elements sidebar
Summary: Inconsistent node composition in formula editor when entering binary operator...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Formula-Editor Elements-Pane
  Show dependency treegraph
 
Reported: 2016-09-09 03:52 UTC by
Modified: 2016-11-11 05:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description 2016-09-09 03:52:09 UTC
If entering over the sidebar

"Division (wideslash)" you get "{<?>} wideslash {<?>}" (with {} around the placeholders)

else if entering

"Division (counter wideslash)" you get "<?> widebslash <?>" (without {} around the placeholders).

This both should be consistent and I think the one with {} around the placeholders should be prefered.
Comment 1 V Stuart Foote 2016-09-09 13:35:50 UTC
Confirmed the binary operator strings are composed inconsistently into the formula editor when entering Division binary operators from the "Elements" sidebar.
Comment 2 Commit Notification 2016-11-05 02:01:21 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=239b662753bee4148cac51268cb203c7527036be

tdf#102007 Surround widebslash's placeholders with braces

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.